Download it now!
Bug 80861 - All Menus are Missing When Tamil UI is used
Summary: All Menus are Missing When Tamil UI is used
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.2 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2014-07-03 17:19 UTC by Ve. Elanjelian
Modified: 2020-01-26 20:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Missing menu is shown. (286.59 KB, image/png)
2014-07-03 17:19 UTC, Ve. Elanjelian
Details
Tamil Rendering as Square box in LO Menu - Ubuntu-14.04-64bit (131.19 KB, image/png)
2014-07-07 07:49 UTC, அருண் குமார் - Arun Kumar
Details
Screenshot on Windows 8.1 (116.57 KB, image/png)
2014-07-11 14:13 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ve. Elanjelian 2014-07-03 17:19:29 UTC
Created attachment 102206 [details]
Missing menu is shown.

All Tamil characters are missing in the menus of all components. I have uninstalled and reinstalled LibO at least thrice, but to no effect.
Comment 1 Julien Nabet 2014-07-03 20:29:36 UTC
Do you mean translation has been done for these but don't appear?
I'm asking because https://translations.documentfoundation.org/ta/ shows 17% of translation.
Comment 2 Ve. Elanjelian 2014-07-03 23:36:21 UTC
Hi, the UI translation is 90% complete. But even if not translated, it should show the default English, which is the case for other strings. Here, the entire Tamil characters have gone missing. Funny.

Sent from my iPad

> On 4 Jul 2014, at 04:29, bugzilla-daemon@freedesktop.org wrote:
> 
> Julien Nabet changed bug 80861 
> What	Removed	Added
> CC	  	serval2412@yahoo.fr
> Comment # 1 on bug 80861 from Julien Nabet
> Do you mean translation has been done for these but don't appear?
> I'm asking because https://translations.documentfoundation.org/ta/ shows 17% of
> translation.
> You are receiving this mail because:
> You reported the bug.
Comment 3 Julien Nabet 2014-07-04 11:09:19 UTC
Thank you for your feedback.
Did your reinstall include a brand new LO profile too (see https://wiki.documentfoundation.org/UserProfile#Windows)?
If not, could you give it a try?
Comment 4 Urmas 2014-07-05 01:30:19 UTC
Tamil fonts are not substituted in LO UI.
They do in native OS menus.
Comment 5 Ve. Elanjelian 2014-07-06 12:30:25 UTC
Tried it. No difference.

What made a difference however is if I were to use the Replacement Table
found under Options > Fonts. I added a rule to replace "Lohit Tamil" with
"Latha" (other fonts are fine, as well), and click "Always". It also works
if I were to simply uninstall Lohit Tamil. So, for some reason Lohit Tamil
(a free font created by Red Hat) is the problem.

Now, I'm not sure if this issue is peculiar to Windows 8 alone, or if other
systems are affected, as well. I'm also not sure why Lohit is picked up as
the default by LibO. Is it defined somewhere? If yes, and if this bug is
confirmed true, I wonder if this definition be made platform specific?

Best regards,
Elanjelian


On 4 July 2014 19:09, <bugzilla-daemon@freedesktop.org> wrote:

>   *Comment # 3 <https://bugs.freedesktop.org/show_bug.cgi?id=80861#c3> on
> bug 80861 <https://bugs.freedesktop.org/show_bug.cgi?id=80861> from Julien
> Nabet <serval2412@yahoo.fr> *
>
> Thank you for your feedback.
> Did your reinstall include a brand new LO profile too (seehttps://wiki.documentfoundation.org/UserProfile#Windows)?
> If not, could you give it a try?
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 6 அருண் குமார் - Arun Kumar 2014-07-07 07:49:13 UTC
Created attachment 102351 [details]
Tamil Rendering as Square box in LO Menu - Ubuntu-14.04-64bit

Hi,

When i tested LO-4.3.0.2 on my Ubuntu Linux 14.04-64 bit machine, I am getting square boxes in LO menus. Please find the screenshot for the same.

But, when i replaced the "Lohit Tamil" Font to "Other Tamil Font" using "Font Replacement Table", I got the menu eveything in Tamil.

Please resolve this bug.


Thanks
Arun
Comment 7 அருண் குமார் - Arun Kumar 2014-07-11 12:51:59 UTC
Any update on this issue ?
Since the release is very near, we need to close this issuse befor the new release.
Comment 8 Julien Nabet 2014-07-11 13:15:46 UTC
Andras: one for you?
Comment 9 Andras Timar 2014-07-11 13:39:20 UTC
It works for me well on Windows 7. Maybe we need to add more Tamil fonts to VCL.xcu, for example Nirmala UI.
http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/VCL.xcu#768
Don't you have Latha on Windows 8?
Comment 10 Andras Timar 2014-07-11 14:13:56 UTC
Created attachment 102619 [details]
Screenshot on Windows 8.1

I cannot reproduce the problem, not even on Windows 8.1. I suspect that the reported does not have the Tamil UI font installed.
Comment 11 Ve. Elanjelian 2014-07-11 14:41:35 UTC
The problem arises when Lohit Tamil is installed. In your screenshot, LO is
using two fonts for the UI -- Nirmala UI for the heading, and Latha for the
Menu. This is how it looks right now for me. However, the behaviour changes
when Lohit Tamil is installed.

Also, it appears that Lucidasans and Lucida Sans are included in the in
VCL.XCU. These two fonts do not have Tamil characters in them; so, they
must be removed. As to Lohit, perhaps this could be moved to the second
position, after Latha?

763        <node oor:name="ta" oor:op="replace">
764       <prop oor:name="UI_SANS" oor:op="replace" oor:type="xs:string">
765         <value>Lohit Tamil;Latha;Sans Serif</value>
766       </prop>
767       <prop oor:name="CTL_DISPLAY" oor:op="replace"
oor:type="xs:string">
768         <value>Lohit Tamil;Latha;Lucidasans;Lucida Sans;Arial Unicode
MS</value>
769       </prop>
770       <prop oor:name="CTL_HEADING" oor:op="replace"
oor:type="xs:string">
771         <value>Lohit Tamil;Latha;Lucidasans;Lucida Sans;Arial Unicode
MS</value>
772       </prop>
773       <prop oor:name="CTL_PRESENTATION" oor:op="replace"
oor:type="xs:string">
774         <value>Lohit Tamil;Latha;Lucidasans;Lucida Sans;Arial Unicode
MS</value>
775       </prop>
776       <prop oor:name="CTL_SPREADSHEET" oor:op="replace"
oor:type="xs:string">
777         <value>Lohit Tamil;Latha;Lucidasans;Lucida Sans;Arial Unicode
MS</value>
778       </prop>
779       <prop oor:name="CTL_TEXT" oor:op="replace" oor:type="xs:string">
780         <value>Lohit Tamil;Latha;Lucidasans;Lucida Sans;Arial Unicode
MS</value>
781       </prop>
782     </node>




On 11 July 2014 22:13, <bugzilla-daemon@freedesktop.org> wrote:

>   *Comment # 10 <https://bugs.freedesktop.org/show_bug.cgi?id=80861#c10>
> on bug 80861 <https://bugs.freedesktop.org/show_bug.cgi?id=80861> from
> Andras Timar <timar74@gmail.com> *
>
> Created attachment 102619 [details] <https://bugs.freedesktop.org/attachment.cgi?id=102619> [details] <https://bugs.freedesktop.org/attachment.cgi?id=102619&action=edit>
> Screenshot on Windows 8.1
>
> I cannot reproduce the problem, not even on Windows 8.1. I suspect that the
> reported does not have the Tamil UI font installed.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 12 QA Administrators 2015-07-18 17:43:45 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2016-09-20 10:17:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920
Comment 14 Julien Nabet 2020-01-26 20:01:32 UTC
Ve. Elanjelian: any better with recent LO version? (last one is 6.3.4)